Update a public ACP checkout session
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/public/commerce/acp/{storefrontId}/checkout/updateimport requests
url = "https://api.orbit.devotel.io/api/v1/public/commerce/acp/{storefrontId}/checkout/update"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.orbit.devotel.io/api/v1/public/commerce/acp/{storefrontId}/checkout/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "<string>",
"status": 429,
"retry_after": 2
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Agentic Commerce
Update a public ACP checkout session
Re-price an ACP checkout session for a new requested-item set (replace-items semantics), server-side against the merchant’s STORED catalog. Rate-limited per IP.
POST
/
api
/
v1
/
public
/
commerce
/
acp
/
{storefrontId}
/
checkout
/
update
Update a public ACP checkout session
Path Parameters
Response
Successful response.
The response is of type object.